Skip to main content
GET
/
v4
/
broadcasts
/
stats
Get stats for a list of broadcasts
curl --request GET \
  --url https://api.kit.com/v4/broadcasts/stats \
  --header 'X-Kit-Api-Key: <api-key>'
{
  "broadcasts": [
    {
      "id": 186,
      "subject": "... or will you",
      "send_at": null,
      "stats": {
        "recipients": 0,
        "open_rate": 0,
        "emails_opened": 0,
        "click_rate": 0,
        "unsubscribe_rate": 0,
        "unsubscribes": 0,
        "total_clicks": 0,
        "show_total_clicks": false,
        "status": "draft",
        "progress": 0,
        "open_tracking_disabled": false,
        "click_tracking_disabled": false
      }
    },
    {
      "id": 185,
      "subject": "You'll never guess...",
      "send_at": null,
      "stats": {
        "recipients": 0,
        "open_rate": 0,
        "emails_opened": 0,
        "click_rate": 0,
        "unsubscribe_rate": 0,
        "unsubscribes": 0,
        "total_clicks": 0,
        "show_total_clicks": false,
        "status": "draft",
        "progress": 0,
        "open_tracking_disabled": false,
        "click_tracking_disabled": false
      }
    }
  ],
  "pagination": {
    "has_previous_page": false,
    "has_next_page": false,
    "start_cursor": "WzE4Nl0=",
    "end_cursor": "WzE4NV0=",
    "per_page": 500
  }
}

Documentation Index

Fetch the complete documentation index at: https://developers.kit.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

X-Kit-Api-Key
string
header
required

Authenticate API requests via an API Key

Query Parameters

after
any | null

To fetch next page of results, use ?after=<end_cursor>

before
any | null

To fetch previous page of results, use ?before=<start_cursor>

include_total_count
boolean

Set to true to include the total_count in the response. This option can cause slow responses; if paging through results, request it only on the first page and reuse the value for subsequent pages.

per_page
any | null

Number of results per page. Default 500, maximum 1000.

sent_after
unknown
sent_before
unknown

Response

Returns stats for all broadcasts on the account

broadcasts
object[]
required
pagination
object
required